import data from "./data.js";

const slideContainer = document.querySelector(".testimonial_content"),
	nextSlide = document.querySelector(".fa-chevron-right"),
	prevSlide = document.querySelector(".fa-chevron-left");

if (data.length === 1) {
	nextSlide.style.display = "none";
	prevSlide.style.display = "none";
}

let people = [...data];
if (data.length === 2) {
	people = [...data, ...data];
}

slideContainer.innerHTML = people.map((person, slideIndex) => {
	const {
		img, name, text
	} = person;
	let position = "next";
	if (slideIndex === 0) {
		position = "active";
	}
	if (slideIndex === people.length - 1) {
		position = "last";
	}
	if (data.length <= 1) {
		position = "active";
	}
	return `<div class="testimonial_slides ${position}">
            <div class="testimonial_review"><p>"${name}"</p>
            <div class="linebreak"></div>
            <h2>"${text}"</h2>
            <div class="linebreak"></div>
            <span>Testimonial Slider(Advanced)</span></div>
            <div class="testimonial_person">
            <img src="${img}"alt=""></div>
            </div>`;
}).join("");

const startSlider = (type) => {
	const active = document.querySelector(".active");
	const last = document.querySelector(".last");
	let next = active.nextElementSibling;
	if (!next) {
		next = slideContainer.firstElementChild;
	}
	active.classList.remove(["active"]);
	last.classList.remove(["last"]);
	next.classList.remove(["next"]);
	if (type === "prev") {
		active.classList.add("next");
		last.classList.add("active");
		next = last.previousElementSibling;
		if (!next) {
			next = slideContainer.lastElementChild;
		}
		next.classList.remove(["next"]);
		next.classList.add("last");
		return;
	}
	active.classList.add("last");
	last.classList.add("next");
	next.classList.add("active");
};
nextSlide.addEventListener("click", () => {
	startSlider();
});
prevSlide.addEventListener("click", () => {
	startSlider("prev");
});